Manage Portal site settings
Update APIM 3.0 Developer Portal site settings. Environment admins use this API to manage Developer Portal configuration.
| Update Site Settings | PUT
https://{controlplane_path}/api/1/rest/public/developer_hub/site_settings |
Prerequisites
- Environment admin permissions or environment membership.
Note: To get a response from this API for a given environment, the Allow Access to
APIM 3.0 Portal pages without login setting must be enabled on the API Management 3.0 settings page in Admin
Manager. If disabled, all pages except the login page require users to log in.
Update Site Settings
PUT https://{controlplane_path}/api/1/rest/public/developer_hub/site_settings
Update the Developer Portal site settings for an environment, such as the URL suffix.
Example
This example uses basic authentication. For a JWT example, refer to Authentication.
curl -X 'PUT' \
'https://elastic.snaplogic.com/api/1/rest/public/developer_hub/site_settings' \
-H 'Authorization: Basic {base64_encoded email:password}' \
-H 'Content-Type: application/json' \
-d '{
"org_name": "my-environment",
"url_suffix": "api-portal"
}'
Request header
Use the application/json content type with basic authentication (email
and password) or a JWT. For examples, refer to Authentication.
Request body
| Key | Type | Description |
|---|---|---|
org_name |
string | The name of the environment (Org). |
url_suffix |
string | The URL suffix for the Developer Portal site. |
Response body
{
"response_map": {
"success": "ok"
},
"http_status_code": 200
}
Error handling
| HTTP status codes | Message | Resolution |
|---|---|---|
| 401 | Unauthorized | Verify your credentials and Environment admin privileges. |
| 403 | Not Allowed | You do not have permission to perform this action in this environment. |